# PrimitiveList Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveList:
[legend]

List of all members.

## Public Member Functions

| getChoiceValue ()
| getActualChoiceValue ()
| setDefault ($default)
| getList ()
| setList ($list)
| import ($scope)

## Protected Attributes

| $list = array()

## Detailed Description

Definition at line 15 of file PrimitiveList.class.php.

## Member Function Documentation

PrimitiveList::getActualChoiceValue | ( |  | ) |

Implements ListedPrimitive.

Reimplemented in PrimitiveMultiList.

Definition at line 27 of file PrimitiveList.class.php.

PrimitiveList::getChoiceValue | ( |  | ) |

Implements ListedPrimitive.

Reimplemented in PrimitiveMultiList.

Definition at line 19 of file PrimitiveList.class.php.

PrimitiveList::getList | ( |  | ) |

Returns:
  plain array of possible primitive choices

Implements ListedPrimitive.

Definition at line 53 of file PrimitiveList.class.php.

PrimitiveList::import | ( | $ | scope | ) |

Reimplemented in PrimitiveMultiList.

Definition at line 68 of file PrimitiveList.class.php.

PrimitiveList::setDefault | ( | $ | default | ) |

Returns:
  PrimitiveList

Reimplemented in PrimitiveMultiList.

Definition at line 38 of file PrimitiveList.class.php.

References BasePrimitive::$default, and Assert::isTrue().

Here is the call graph for this function:

PrimitiveList::setList | ( | $ | list | ) |

Returns:
  PrimitiveList

Implements ListedPrimitive.

Reimplemented in PrimitivePlainList.

Definition at line 61 of file PrimitiveList.class.php.

References $list.

## Member Data Documentation

PrimitiveList::$list = array()`[protected]`

Definition at line 17 of file PrimitiveList.class.php.

Referenced by PrimitivePlainList::setList(), and setList().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveList.class.php